Is it OK that AsusWRT uses old openssl?

Discussion in 'Asuswrt-Merlin' started by Kobold, Feb 23, 2013.

  1. Kobold

    Kobold Regular Contributor

    Joined:
    Feb 23, 2013
    Messages:
    73
    First of all, I'm sorry for a very dumb question.

    I've noticed that AsusWRT uses out-of-date versions of some libraries: OpenSSL 1.0.0j (released a year ago, current version is 1.0.1e), zlib 1.2.5 (current is 1.2.7) and so on. But OpenSSL is very important for security things. So is it OK that these libraries are so out-of-date?
     
  2. Log in / Register to remove this ad

  3. RMerlin

    RMerlin Part of the Furniture

    Joined:
    Apr 14, 2012
    Messages:
    13,033
    Location:
    Canada
    Asuswrt-Merlin uses 1.0.0j, plus the 1.0.1 ASM optimizations backported.
     

Share This Page